package com.inkasso.factoring.purchManagement.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.factoring.common.entity.BaseEntity;
import com.inkasso.factoring.file.entity.FileStorageDO;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 采购合同 上传合同的信息
 * </p>
 *
 * @author liutao
 * @since 2023-03-07
 */
@TableName("upload_purch_contract")
public class UploadPurchContract extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 采购合同-审核表Id
     */
    @TableField("purch_contract_approval_id")
    private Long purchContractApprovalId;

    /**
     * 合同名称
     */
    @TableField("contract_name")
    private String contractName;

    /**
     * 上传的附件
     */
    @TableField(exist = false)
    private MultipartFile file;

    /**
     * 回显的附件
     */
    @TableField(exist = false)
    private FileStorageDO fileStorage;

    @TableField(exist = false)
    private Long fileId;

    @TableField(exist = false)
    private List<UploadPurchContractSigner> uploadPurchContractSigners;

    public MultipartFile getFile() {
        return file;
    }

    public void setFile(MultipartFile file) {
        this.file = file;
    }

    public FileStorageDO getFileStorage() {
        return fileStorage;
    }

    public void setFileStorage(FileStorageDO fileStorage) {
        this.fileStorage = fileStorage;
    }

    public List<UploadPurchContractSigner> getUploadPurchContractSigners() {
        return uploadPurchContractSigners;
    }

    public void setUploadPurchContractSigners(List<UploadPurchContractSigner> uploadPurchContractSigners) {
        this.uploadPurchContractSigners = uploadPurchContractSigners;
    }

    public Long getPurchContractApprovalId() {
        return purchContractApprovalId;
    }

    public void setPurchContractApprovalId(Long purchContractApprovalId) {
        this.purchContractApprovalId = purchContractApprovalId;
    }
    public String getContractName() {
        return contractName;
    }

    public void setContractName(String contractName) {
        this.contractName = contractName;
    }

    public Long getFileId() {
        return fileId;
    }

    public void setFileId(Long fileId) {
        this.fileId = fileId;
    }
}
